/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_ROUGH_SMOOTH_H
#define _TF_DIALOG_ROUGH_SMOOTH_H


#include "TFPreviewDialog.h"				// includes gtk, gtk--



/*
 *  TFDialogRoughSmooth: display the roughen dialog for terraformer
 */
class TFDialogRoughSmooth : public TFPreviewDialog
	{
	public: 
				TFDialogRoughSmooth (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogRoughSmooth (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();

		Gtk_VBox		d_vBoxList;
		Gtk_HBox                d_hBoxMode, 
					d_hBoxRSFactor,
					d_hBoxBigGrid;
		Gtk_Adjustment		d_adjRSFactor;
		Gtk_HScale		d_hsRSFactor;
		Gtk_Label		d_lblMode, 
					d_lblRSFactor,
					d_lblBigGrid;
		Gtk_CheckButton		d_btnBigGrid; 	
		Gtk_Frame		d_optionsFrame;
		Gtk_RadioButton		*d_rbModeR,
					*d_rbModeS;
		GSList			*d_group;
	};


#endif // _TF_DIALOG_ROUGH_SMOOTH_H
