/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_WINDOW_H
#define _TF_WINDOW_H


#include "GuiBufferedDrawingArea.h"			// include gtk, gtk--
#include "GuiColormap.h"
#include "GuiColormapLinear.h"
#include "GuiColormapBands.h"
#include "glib--hash.h"


/*
 *  TFWindow: the main (drawing) window for terraformer
 */
class TFWindow : public GuiBufferedDrawingArea
	{
	public: 
					TFWindow (); 
					~TFWindow (); 
		virtual void 		quit ();
		virtual void		fileMenuCallback (string m);
		virtual void		hfMenuCallback (string m);
		virtual void		viewMenuCallback (string m);
		virtual void		colormapMenuCallback (string m);
		void			setSize (int x, int y);

	protected: 
		Gtk_Window			d_win;
		Gtk_VBox 			d_vbox;
		Gtk_AccelGroup			d_accelGroup;
		Gtk_ObjectHandle<Gtk_MenuBar> 	d_menuBarHandle;
		Gtk_ItemFactory			*d_itemFactory;
		Glib_Hash			*d_menuHash;	// menu item pointers, path is key

		bool				d_useLinearColormap;
		int				d_nameCount;
		char				**d_mNames;
		GuiColormapLinear		*d_linearColorMap,
						*d_linearColorMap2;
		GuiColormapBands		*d_bandColorMap,
						*d_bandColorMap2;
	};


#endif // _TF_WINDOW_H

